altizure-plugin-geosystem

altizure sdk GeoSystem Plugin

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
altizure-plugin-geosystem
Minified + gzip package size for altizure-plugin-geosystem in KB

Readme

npm (tag) npm bundle size

npm dev dependency version npm peer dependency version

GeoSystem

This npm module is for public distribution of the plugin.

usage

This plugin needs altizure defined.

in js

This plugin has to be used together with the altizure module. Make sure altizure is in your dependencies (or devDependencies) list in package.json file.

import {Sandbox} from 'altizure'
import GeoSystem from 'altizure-plugin-geosystem'

let sandbox = new Sandbox('page-content')
let gs = new GeoSystem({sandbox: sandbox})

in html

Include altizure-sdk.min.js before this plugin.

<head>
  <script type="text/javascript" src="https://unpkg.com/altizure/release/altizure-sdk.min.js"></script>
  <script type="text/javascript" src="https://unpkg.com/altizure-plugin-geosystem"></script>
</head>
<body>
  <script>
    let sandbox = new altizure.Sandbox('page-content')
    let gs = new altizure.GeoSystem({
          sandbox: sandbox,
          base: baseMarker,
          baseCenter: baseCenter,
          EPSG: '4547'
        })
  </script>
</body>

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.